com.h3c.sdn.common

## Enum LinkUpdate.Type

- java.lang.Object
- - java.lang.Enum<LinkUpdate.Type>
  - - com.h3c.sdn.common.LinkUpdate.Type

- All Implemented Interfaces:
    Serializable, Comparable<LinkUpdate.Type>
  Enclosing interface:
    LinkUpdate

      public static enum LinkUpdate.Type
      extends Enum<LinkUpdate.Type>

  Represents the type of link discovery update operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_OR_UPDATE` Represents addition or update of an existing link.
    `REMOVE` Represents removal of a link.
    `SWITCH_UPDATED` Represents update of at least one of the end-point switches.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LinkUpdate.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LinkUpdate.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD_OR_UPDATE

          public static final LinkUpdate.Type ADD_OR_UPDATE

      Represents addition or update of an existing link.

    - #### REMOVE

          public static final LinkUpdate.Type REMOVE

      Represents removal of a link.

    - #### SWITCH_UPDATED

          public static final LinkUpdate.Type SWITCH_UPDATED

      Represents update of at least one of the end-point switches.

  - ### Method Detail

    - #### values

          public static LinkUpdate.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LinkUpdate.Type c : LinkUpdate.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LinkUpdate.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.